% PDEONE - Solve one dimensional PDE's using ALGORITHM 494 PDEONE
%
% Written by:
% -- 
% John L. Weatherwax                2005-12-17
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

xGrid = 0:0.005:1.2;
%xGrid = 0:0.005:1;
tGrid = 0:0.1:1.2;

[ U, opts ] = pdeone("F","D","BNDRY_ALPHA","BNDRY_BETA","BNDRY_GAMMA","truesol", ...
		     "xGrid", xGrid, "tGrid", tGrid );

tGrid = opts.tGrid; 
xGrid = opts.xGrid; 

close all; 
ntouts = length(tGrid)-1; 
h=figure; 
for nti=1:ntouts,
  figure(h); 
  plot( xGrid, U(1,:,nti) ); grid; %title( [ 'U(1) at t(',num2str(nti),')' ] ); 
  hold on; 
  %pause;
end

save -v6 "EGA_sol.mat" U xGrid tGrid; 
