function [ ts ] = truesol(t,x)
% 
% Written by:
% -- 
% John L. Weatherwax                2005-06-15
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

% $$$ disp( ["t(1)=",num2str(t(1))] );
% $$$ disp( ["x(1)=",num2str(x(1))] )
  
anu = 3.0d-3;
a = -(x-0.5d0+4.95d0*t)/ (20.0d0*anu);
b = -(x-0.5d0+0.75d0*t)/ (4.0d0*anu);
c = -(x-0.375d0)/ (2.0d0*anu);
% $$$ printf( 'a(1)=%f\n',(a(1)) );
% $$$ printf( 'b(1)=%f\n',(b(1)) )
% $$$ printf( 'c(1)=%f\n',(c(1)) )
a = exp(a);
b = exp(b);
c = exp(c);
tmp = a + b + c;
% $$$ disp( ["a(1)=",num2str(a(1))] )
% $$$ disp( ["b(1)=",num2str(b(1))] )
% $$$ disp( ["c(1)=",num2str(c(1))] )
% $$$ disp( ["tmp(1)=",num2str(tmp(1))] )
ts = ( .1d0*a + .5d0*b +c ) ./ ( a + b + c );
% $$$ disp( ["ts(1)=",num2str(ts(1))] )
% $$$ pause
