      PROGRAM SHALLOW
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      INTEGER    N_MESH_PTS
      PARAMETER( N_MESH_PTS=801 )
      COMMON /MESH/ X(N_MESH_PTS)
      COMMON /COORD/ ICORD
      DIMENSION U(N_MESH_PTS),WORK(8+5*N_MESH_PTS),INFO(4)
C     
C     DEFINE THE PROBLEM PARAMETERS
C
      A = -400
      B = +400
      ICORD = 0
      NPTS = N_MESH_PTS
      NPDE = 2
      IDID = 0
      INFO(1) = 1               ! Compute a solution Y(*) at TEND only.
      INFO(2) = 0               ! RKC is to compute the estimate internally.  
      INFO(3) = 0               ! The Jacobian may not be constant.
      INFO(4) = 0               ! ATOL is a double precision scalar.
      NEQN = NPDE * NPTS
      T = 0.
      TOUT = 0.
      EPS = 1.E-5
C
C     DEFINE MESH AND INITIAL DATA
C
      DX = (B-A)/(NPTS-1)
      DO 10 I=1,NPTS
         X(I) = FLOAT(I-1) * DX
 10      U(I) = TRUESOL(T,X(I))
       ENDDO
 20    WRITE(3,25) T
 25    FORMAT(//4H T= ,E10.3)
       WRITE(3,30) (U(I),I=1,NPTS)
 30    FORMAT(5E20.6)
       IF( T .GE. 1.1) STOP
       TOUT = TOUT + .1
C
C     CALL ODE INTEGRATOR 
C
       CALL RKC(NEQN,RKC_F,U,T,TOUT,EPS,EPS,INFO,WORK,IDID)
       IF( IDID .EQ. 1 ) GO TO 20 
       WRITE(*,*) IDID
       STOP 
       END

      


      SUBROUTINE RKC_F(NEQN,T,Y,DY)

      write(*,*) 'in rkc_f'
      write(*,*) 'npde=',1
      write(*,*) 'npde=',201

C      CALL PDEONE(T,Y,DY,NPDE,NPTS) 
      CALL PDEONE(T,Y,DY,1,201) 
      RETURN
      END
      


      SUBROUTINE F(T,X,U,UX,DUXX,FVAL,NPDE)
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION U(NPDE),UX(NPDE),DUXX(NPDE,NPDE),FVAL(NPDE)
C
C     F ROUTINE FOR SHALLOW WATER FLOW EQUATIONS
C
      FVAL(1) = DUXX(1,1) - U(1) * UX(1) - 980.0 * ( UX(2) + DH(X) )
      FVAL(2) = DUXX(2,2) - U(1) * UX(2) - U(2) * UX(1)
C
C     DH IS A FUNCTION WHICH COMPUTES THE KNOWN FUNCTION DH/DX
C
      RETURN
      END


