% PDEONE - Solve one dimensional PDE's using ALGORITHM 494 PDEONE
%
% Written by:
% -- 
% John L. Weatherwax                2005-12-17
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

xGrid = [ linspace(0.0,0.4,14+1), linspace(0.4,0.7,13+1), ...
          linspace(0.7,0.9,12+1), linspace(0.9,1.0,11+1) ];
xGrid = unique( xGrid ); 
%tGrid = [ 0 0.001 0.01 0.05 0.1 ];
tGrid = [ 0 0.001 0.01 0.1 ];

[ U, opts ] = pdeone("F","D","BNDRY_ALPHA","BNDRY_BETA","BNDRY_GAMMA","nonelliptic_init", ...
		     "xGrid", xGrid, "tGrid", tGrid, "dt", 10^(-7), "eps", 10^(-5) );

tGrid = opts.tGrid; 
xGrid = opts.xGrid; 

%close all; 
ntouts = length(tGrid); 
h=figure; 
for nti=1:ntouts,
  figure(h); 
  plot( xGrid, U(1,:,nti) ); grid; %title( [ 'U(1) at t(',num2str(nti),')' ] ); 
  hold on; 
  %pause;
end

save -v6 "EGD_sol.mat" U xGrid tGrid; 
