% PDEONE - Solve one dimensional PDE's using ALGORITHM 494 PDEONE
%
% Written by:
% -- 
% John L. Weatherwax                2005-12-17
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

xGrid = linspace(0.0,1.0,31);
tGrid = [ 0, 0.00005, 0.0005, 0.0015, 0.0033, 0.006, 0.01, 0.1 ]; 

[ U, opts ] = pdeone("F","D","BNDRY_ALPHA","BNDRY_BETA","BNDRY_GAMMA","non_lin_bc_diff_ic", ...
                     "xGrid", xGrid, "tGrid", tGrid, "eps", 10^(-4), "dt", 10^(-7) );

tGrid = opts.tGrid; 
xGrid = opts.xGrid; 

close all; 
ntouts = length(tGrid); 
h=figure; 
for nti=1:ntouts,
  plot( xGrid, U(1,:,nti) ); grid; 
  hold on; 
  %pause;
end

save -v6 "EGG_sol.mat" U xGrid tGrid; 
